import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconAdjuster",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M20 14a2 2 0 012 2v6a2 2 0 01-2 2h-4v19a1 1 0 01-1 1h-2a1 1 0 01-1-1V24H8a2 2 0 01-2-2v-6a2 2 0 012-2h12zm20 10a2 2 0 012 2v6a2 2 0 01-2 2h-4v9a1 1 0 01-1 1h-2a1 1 0 01-1-1v-9h-4a2 2 0 01-2-2v-6a2 2 0 012-2h12zm-2 4h-8v2h8v-2zM35 4a1 1 0 011 1v17h-4V5a1 1 0 011-1h2zM18 18h-8v2h8v-2zM15 4a1 1 0 011 1v7h-4V5a1 1 0 011-1h2z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-adjuster`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
