import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconAnalysis",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M42 4a2 2 0 012 2v10h-4V8H8v32h8v4H6a2 2 0 01-2-2V6a2 2 0 012-2h36zM29.8 16c7.07 0 12.8 5.73 12.8 12.8 0 3.03-1.053 5.814-2.812 8.006l3.787 3.786a1 1 0 010 1.414l-1.697 1.697a1 1 0 01-1.415 0l-3.982-3.983A12.74 12.74 0 0129.8 41.6c-7.07 0-12.8-5.73-12.8-12.8S22.73 16 29.8 16zM21 28.8a8.8 8.8 0 1117.6 0 8.8 8.8 0 01-17.6 0z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-analysis`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
