import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconBlockStorageAlt",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M5 45a2 2 0 01-2-2V5a2 2 0 012-2h38a2 2 0 012 2v38a2 2 0 01-2 2H5zM41 7h-4v12a2 2 0 01-2 2H13a2 2 0 01-2-2V7H7v34h4v-9a2 2 0 012-2h22a2 2 0 012 2v9h4V7zM15 34h18v7H15v-7zM33 7H15v10h18V7zm-2 5a3 3 0 10-6 0 3 3 0 006 0z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-block-storage-alt`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
