import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconBusinessCenter",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M22.432 1.914l.103.056 21 13.281a1 1 0 01.457.718l.008.127V46a1 1 0 01-.883.993L43 47H5a1 1 0 01-.993-.883L4 46V25.118a1 1 0 01.445-.832l.108-.062L21 15.999V2.816a1 1 0 01.1-.436l.055-.099a1 1 0 011.277-.367zM25 8.262V43h6v-6.281a1 1 0 011-1h3a1 1 0 011 1v6.28L40 43V17.749L25 8.262zM8 26.972l13-6.5V43H8V26.972z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-business-center`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
