import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconCalendarFill123",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = ["fill"];
const _hoisted_3 = ["fill"];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: "none",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-calendar-fill-123`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), [
    createElementVNode("path", {
      "fill-rule": "evenodd",
      "clip-rule": "evenodd",
      d: "M22.62 3.001a1.8 1.8 0 012.198.272l9.476 9.475a1.8 1.8 0 11-2.546 2.546l-8.26-8.261-7.67 7.67a1.8 1.8 0 01-2.545-2.545L22.04 3.39c.156-.156.334-.278.524-.365l.055-.024z",
      fill: $props.useCurrentColor ? "currentColor" : "#2B2F36"
    }, null, 8, _hoisted_1),
    createElementVNode("path", {
      "fill-rule": "evenodd",
      "clip-rule": "evenodd",
      d: "M4 12h40a2 2 0 012 2v28a2 2 0 01-2 2H4a2 2 0 01-2-2V14a2 2 0 012-2z",
      fill: $props.useCurrentColor ? "currentColor" : "#2B2F36"
    }, null, 8, _hoisted_2),
    createElementVNode("path", {
      "fill-rule": "evenodd",
      "clip-rule": "evenodd",
      d: "M25 30a1 1 0 011 1v2a1 1 0 01-1 1H15a1 1 0 01-1-1v-2a1 1 0 011-1h10zm8-8a1 1 0 011 1v2a1 1 0 01-1 1H15a1 1 0 01-1-1v-2a1 1 0 011-1h18z",
      fill: $props.useCurrentColor ? "currentColor" : "#fff"
    }, null, 8, _hoisted_3)
  ], 16);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
