import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconCardView",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M43 6H5l-.116.007A1.004 1.004 0 004 7v2l.007.116c.058.496.482.884.993.884h38l.116-.007C43.612 9.935 44 9.511 44 9V7l-.007-.116A1.004 1.004 0 0043 6zm1 11a2 2 0 00-2-2H6a2 2 0 00-2 2v15a2 2 0 002 2h36a2 2 0 002-2V17zm-1 22H5l-.116.007A1.004 1.004 0 004 40v2l.007.116c.058.496.482.884.993.884h38l.116-.007c.496-.058.884-.482.884-.993v-2l-.007-.116A1.003 1.003 0 0043 39zm-3-20H8v11h32V19z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-card-view`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
