import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconCodePen",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M44.995 32.812L45 15.707a1 1 0 00-.5-.866L24.498 3.289a1 1 0 00-1.002.001L3.5 14.873a1 1 0 00-.499.865V32.31a1 1 0 00.501.866l19.995 11.535a1 1 0 001.001 0L44.99 32.84a.013.013 0 00.005-.006.012.012 0 000-.007v-.016zM26 18.836V9l14 8.082L31.481 22 26 18.836zM22 9L8 17.11 16.44 22 22 18.78V9zm-5.492 18L22 30.213V39L9 31.393 16.508 27zM39 31.412L31.443 27 26 30.177V39l13-7.588zM41 22v6l-5-3 5-3zm-29 3l-5-3v6l5-3zm12 2l-4-2 4-2 4 2-4 2z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-code-pen`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
