import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconCurtain",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", { d: "M16 11h2a1 1 0 011 1v28a1 1 0 01-1 1h-2a1 1 0 01-1-1V12a1 1 0 011-1zm14 0h2a1 1 0 011 1v28a1 1 0 01-1 1h-2a1 1 0 01-1-1V12a1 1 0 011-1zm13-1a2 2 0 012 2v30.365a2 2 0 01-2.492 1.938C39.086 43.434 35.916 43 33 43c-3.613 0-6.613.666-9 2-2.431-1.334-5.431-2-9-2-2.887 0-6.057.436-9.51 1.31A2 2 0 013 42.37V12a2 2 0 012-2h38zm0-7a1 1 0 011 1v2a1 1 0 01-1 1H5a1 1 0 01-1-1V4a1 1 0 011-1h38zM7 14v25.862C9.823 39.29 12.49 39 15 39c3.352 0 6.356.516 8.99 1.578C26.604 39.515 29.615 39 33 39c2.528 0 5.195.287 8 .856V14H7z" }, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-curtain`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
