import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconCustomerService",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M8.006 31H7a3 3 0 01-2.995-2.824L4 28v-6a3 3 0 012.824-2.995L7 19h1.007l.003-.225C8.18 10.59 15.14 4 24 4c8.942 0 15.94 6.713 15.987 15H41a3 3 0 013 3v6a3 3 0 01-3 3h-1.115c-.725 8.977-5.304 12.573-12.508 12.964A1.94 1.94 0 0127 44h-6a2 2 0 01-2-2v-4a2 2 0 012-2h6a2 2 0 012 2v1.374c4.627-.725 6.986-3.542 6.986-11.006V23h.005l.001-3.918C35.992 13.206 30.962 8 24 8c-6.963 0-12.001 5.207-12.001 11.082l-.001 2.859L12 22l-.001 7a2 2 0 01-2 2H7h1.006z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-customer-service`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
