import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconDoubleRight",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M25.902 23.298L14.015 11.224a1 1 0 00-1.32-.094l-.105.094-1.4 1.421a1 1 0 000 1.403L20.989 24l-9.797 9.952a1 1 0 000 1.403l1.399 1.421a1 1 0 001.319.094l.106-.094 11.887-12.075a1 1 0 000-1.403zm9.907 0L23.923 11.224a1 1 0 00-1.32-.094l-.106.094-1.399 1.421a1 1 0 000 1.403L30.895 24l-9.797 9.952a1 1 0 000 1.403l1.4 1.421a1 1 0 001.319.094l.105-.094L35.81 24.701a1 1 0 000-1.403z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-double-right`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
