import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconDoubleTriangleLeft",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M40 2.003v27.994c0 1.718-2.024 2.636-3.317 1.504l-16-13.996a1.99 1.99 0 01-.683-1.48v13.972c0 1.718-2.024 2.636-3.317 1.504l-16-13.996a2 2 0 010-3.01L16.683.5C17.976-.633 20 .286 20 2.003v13.972a1.99 1.99 0 01.683-1.48L36.683.5C37.976-.633 40 .286 40 2.003zM16 6.41L5.037 16 16 25.59V6.41zm20 0L25.037 16 36 25.59V6.41z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 40 32",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-double-triangle-left`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
