import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconDoubleUp",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M12.145 26.402a1 1 0 001.403 0l9.952-9.797 9.952 9.797a1 1 0 001.403 0l1.421-1.4a1 1 0 000-1.424L24.201 11.69a1 1 0 00-1.403 0L10.724 23.578a1 1 0 000 1.425l1.421 1.399zm1.403 9.907l9.952-9.797 9.952 9.797a1 1 0 001.403 0l1.421-1.399a1 1 0 000-1.425L24.201 21.598a1 1 0 00-1.403 0L10.724 33.485a1 1 0 000 1.425l1.421 1.4a1 1 0 001.403 0z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-double-up`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
