import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconDuplicate",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M40.625 5.958a1 1 0 011.168-.633l.112.033 2.819 1.02a1 1 0 01.643 1.122l-.027.11-9.01 29.531-4.701-1.7 8.996-29.483zM35.748 38.99L31 37.313v5.184a.6.6 0 001.036.412l3.712-3.919zM24 39a1 1 0 00-1-1H4a1 1 0 00-1 1v2a1 1 0 001 1h19a1 1 0 001-1v-2zm0-10a1 1 0 00-1-1H4a1 1 0 00-1 1v2a1 1 0 001 1h19a1 1 0 001-1v-2zm5-23a2 2 0 012 2v12a2 2 0 01-2 2H5a2 2 0 01-2-2V8a2 2 0 012-2h24zM7 10h20v8H7v-8z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-duplicate`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
