import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconExamineeInformation",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M44 6a2 2 0 011.995 1.85L46 8v32a2 2 0 01-1.85 1.995L44 42H4a2 2 0 01-1.995-1.85L2 40V8a2 2 0 011.85-1.995L4 6h40zm-2 4H6v28h36V10zm-21 6a1 1 0 011 1v14a1 1 0 01-1 1H11a1 1 0 01-1-1V17a1 1 0 011-1h10zm17 11a1 1 0 011 1v2a1 1 0 01-1 1H26a1 1 0 01-1-1v-2a1 1 0 011-1h12zm-20-7h-4v8h4v-8zm16-2a1 1 0 011 1v2a1 1 0 01-1 1h-8a1 1 0 01-1-1v-2a1 1 0 011-1h8z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-examinee-information`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
