import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconFontSelect",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("g", { "clip-path": "url(#svg_55984dbc61__clip0_1:462)" }, [
  /* @__PURE__ */ createElementVNode("path", {
    "fill-rule": "evenodd",
    "clip-rule": "evenodd",
    d: "M18.837 6.001c.418 0 .799.26.956.651l13.24 32.999A.975.975 0 0132.134 41h-2.136c-.417 0-.798-.26-.955-.65L24.076 28h-12.69L7.085 40.353a.965.965 0 01-.917.647H4.029A1.035 1.035 0 013 40a.986.986 0 01.054-.352L14.516 6.65a.965.965 0 01.918-.648h3.403zM44.343 35a1 1 0 011 1v2a1 1 0 01-1 1h-7.135a1 1 0 01-.92-.607l-.854-2a1 1 0 01.92-1.393h7.989zm-.226-14a1 1 0 011 1v2a1 1 0 01-1 1H31.925a1 1 0 01-.928-.628l-.802-2A1 1 0 0131.123 21h12.994zm-26.842-9.913L12.78 24h9.689l-5.193-12.913zM44.265 8a1 1 0 011 1v2a1 1 0 01-1 1H27.063a1 1 0 01-.93-.631l-.793-2A1 1 0 0126.27 8h17.995z"
  })
], -1);
const _hoisted_3 = /* @__PURE__ */ createElementVNode("defs", null, [
  /* @__PURE__ */ createElementVNode("clipPath", { id: "svg_55984dbc61__clip0_1:462" }, [
    /* @__PURE__ */ createElementVNode("path", { d: "M0 0h48.079v48.001H0z" })
  ])
], -1);
const _hoisted_4 = [
  _hoisted_2,
  _hoisted_3
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 49 49",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-font-select`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_4, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
