import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconJumpTo",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M42 4c1.01 0 1.914.904 1.994 1.863L44 6v36c0 .962-.858 1.91-1.856 1.994L42 44H6c-1.01 0-1.914-.904-1.994-1.863L4 42V30h4v10h32V8H8v10H4V6c0-.962.858-1.91 1.857-1.994L6 4h36zM23.835 16.207l7.115 7.114a1 1 0 010 1.414l-7.071 7.072a1 1 0 01-1.415 0l-1.414-1.415a1 1 0 010-1.414L24.028 26H5a1 1 0 01-1-1v-2a1 1 0 011-1h18.972l-2.965-2.965a1 1 0 010-1.414l1.414-1.414a1 1 0 011.415 0z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-jump-to`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
