import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconLevel",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M46 24c0-12.15-9.85-22-22-22S2 11.85 2 24s9.85 22 22 22 22-9.85 22-22zM18.49 6.86A17.989 17.989 0 0124 6c1.922 0 3.774.301 5.51.86a.914.914 0 00-.01.14v34c0 .048.003.095.01.14-1.736.559-3.588.86-5.51.86-1.922 0-3.774-.301-5.51-.86a.914.914 0 00.01-.14V7a.91.91 0 00-.01-.14zM14.5 8.707C9.397 11.885 6 17.546 6 24c0 6.454 3.397 12.115 8.5 15.292V8.708zM42 24c0 6.454-3.396 12.114-8.5 15.291V8.71C38.605 11.886 42 17.546 42 24z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-level`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
