import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconLoudspeaker",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M43 4a1 1 0 011 1v34a1 1 0 01-1 1h-2a1 1 0 01-1-1v-2.8L24 33v8.716a2 2 0 01-2.264 1.982l-11-1.467A2 2 0 019 40.25V30l-3.392-.678A2 2 0 014 27.36V14.722a2 2 0 011.703-1.977L40 7.599V5a1 1 0 011-1h2zM13 30.883v7.615l7 .933V32.29l-7-1.406zM8 16.445l32-4.8V32.12l-32-6.4v-9.276z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-loudspeaker`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
