import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconManager",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M25 3c5.523 0 10 4.477 10 10s-4.477 10-10 10-10-4.477-10-10S19.477 3 25 3zm0 20h5c5.523 0 12 4.286 12 12v6a2 2 0 01-2 2H8a2 2 0 01-2-2v-6c0-7.708 6.477-12 12-12h7zm-6.429 4H18c-3.66 0-8 2.812-8 8v4h28v-4c0-4.864-3.96-7.787-7.599-7.989L31 33l-6.5 5-6.5-5 .571-6zm4.018 0h3.791l.419 4.185-2.299 1.768-2.308-1.775.397-4.178zM19 13a6 6 0 1112 0 6 6 0 01-12 0z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-manager`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
