import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconMirror",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M25 2a1 1 0 011 1v42a1 1 0 01-1 1h-2a1 1 0 01-1-1V3a1 1 0 011-1h2zM5 11.204a1 1 0 01.659.247l13.48 11.796a1 1 0 010 1.506L5.66 36.549A1 1 0 014 35.796V12.204a1 1 0 011-1zm39 1a1 1 0 00-1.658-.753L28.86 23.247a1 1 0 000 1.505L42.342 36.55A1 1 0 0044 35.796V12.204zM8 29.184L13.926 24 8 18.815v10.37zM34.074 24L40 18.815v10.37L34.074 24z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-mirror`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
