import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconOfficeBuilding",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M8.154 46C6.964 46 6 45.015 6 43.8V4.2C6 2.985 6.964 2 8.154 2h23.692C33.036 2 34 2.985 34 4.2V10h6a2 2 0 012 2v32a2 2 0 01-2 2H8.154zM30 6H10v36h6v-7a1 1 0 011-1h6a1 1 0 011 1v7h6V6zm8 8h-4v28h4V14zm-20 8v4h-4v-4h4zm8 0v4h-4v-4h4zm-8-8v4h-4v-4h4zm8 0v4h-4v-4h4z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-office-building`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
