import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconOpsManagement",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M42 4a2 2 0 012 2v30a2 2 0 01-2 2H26v3h9a1 1 0 011 1v2a1 1 0 01-1 1H13a1 1 0 01-1-1v-2a1 1 0 011-1h9v-3H6a2 2 0 01-2-2V6a2 2 0 012-2h36zm-2 4H8v26h32V8zm-15.3 3.801L21.9 9l-2.829 2.828 1.442 1.442-.425 3.818-3.818.425-1.442-1.442L12 18.9l2.801 2.802 6.362-.708 2.28 2.28-.705 6.364 2.801 2.801 2.828-2.828-1.441-1.441.424-3.819 3.819-.424 1.441 1.441 2.828-2.828-2.8-2.801-6.366.707-2.279-2.279.708-6.365z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-ops-management`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
