import { openBlock, createElementBlock, mergeProps, createStaticVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconOuterBorders",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createStaticVNode('<path fill-rule="evenodd" clip-rule="evenodd" d="M41.778 4H6.222A2.222 2.222 0 004 6.222v35.556C4 43.005 4.995 44 6.222 44h35.556A2.222 2.222 0 0044 41.778V6.222A2.222 2.222 0 0041.778 4zM8 40V8h32v32H8z"></path><rect x="22" y="10" width="4" height="4" rx="1"></rect><rect x="22" y="16" width="4" height="4" rx="1"></rect><rect x="22" y="28" width="4" height="4" rx="1"></rect><rect x="22" y="34" width="4" height="4" rx="1"></rect><rect x="22" y="22" width="4" height="4" rx="1"></rect><rect x="16" y="22" width="4" height="4" rx="1"></rect><rect x="10" y="22" width="4" height="4" rx="1"></rect><rect x="28" y="22" width="4" height="4" rx="1"></rect><rect x="34" y="22" width="4" height="4" rx="1"></rect>', 10);
const _hoisted_12 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-outer-borders`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_12, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
