import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconOverflow",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M25 29v16a1 1 0 01-1 1h-2a1 1 0 01-1-1V29h4zM10 7a1 1 0 011 1v33a1 1 0 01-1 1H8a1 1 0 01-1-1V8a1 1 0 011-1h2zm23 23.046l-.001-4.047L19 26a1 1 0 01-1-1v-2a1 1 0 011-1h14v-4.046a1.4 1.4 0 012.286-1.083l7.39 6.046a1.4 1.4 0 010 2.166l-7.39 6.046A1.4 1.4 0 0133 30.046zM24 2a1 1 0 011 1v16h-4V3a1 1 0 011-1h2z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-overflow`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
