import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconPlug",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M13 4a1 1 0 011 1v4h20V5a1 1 0 011-1h2a1 1 0 011 1v4h5a1 1 0 011 1v2a1 1 0 01-1 1h-1v3c0 9.265-7 16.895-16 17.89V39a3 3 0 106 0 7 7 0 017-7h4a1 1 0 011 1v2a1 1 0 01-1 1h-4a3 3 0 00-3 3 7 7 0 11-14 0v-5.11C13 32.896 6 25.265 6 16v-3H5a1 1 0 01-1-1v-2a1 1 0 011-1h5V5a1 1 0 011-1h2zm25 9H10v3c0 7.732 6.268 14 14 14s14-6.268 14-14v-3z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-plug`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
