import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconPowerSwitch",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M43 4a1 1 0 011 1v37a2 2 0 01-2 2H6a2 2 0 01-2-2V5a1 1 0 011-1h38zm-3 4H8v32h32V8zm-3 4a1 1 0 00-1-1H12a1 1 0 00-1 1v23a2 2 0 002 2h22a2 2 0 002-2V12zm-3.5 2.5h-19v19h19v-19zM30 18a1 1 0 00-1-1H19a1 1 0 00-1 1v1.5a1 1 0 001 1h10a1 1 0 001-1V18z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-power-switch`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
