import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconPublicIp",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M5 4a2 2 0 012-2h25a2 2 0 011.295.476l10 8.5A2 2 0 0144 12.5V44a2 2 0 01-2 2H7a2 2 0 01-2-2V4zm4 2h20.5v7.5a2 2 0 002 2H40V42H9V6zm24.5 5.5h4.235L33.5 7.9v3.6zM15 18v16.5h4V18h-4zm7 2v-2h6.5a5.5 5.5 0 110 11H26v5.5h-4V20zm4 5h2.5a1.5 1.5 0 000-3H26v3z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-public-ip`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
