import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconSoundwave",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M25 6a1 1 0 011 1v34a1 1 0 01-1 1h-2a1 1 0 01-1-1V7a1 1 0 011-1h2zm8 6a1 1 0 011 1v22a1 1 0 01-1 1h-2a1 1 0 01-1-1V13a1 1 0 011-1h2zm-16 0a1 1 0 011 1v22a1 1 0 01-1 1h-2a1 1 0 01-1-1V13a1 1 0 011-1h2zm24 4a1 1 0 011 1v14a1 1 0 01-1 1h-2a1 1 0 01-1-1V17a1 1 0 011-1h2zM9 16a1 1 0 011 1v14a1 1 0 01-1 1H7a1 1 0 01-1-1V17a1 1 0 011-1h2z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-soundwave`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
