import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconTexture",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M46.276 8.807L43.448 5.98l-9.9 9.9-9.899-9.9-9.9 9.9-9.9-9.9-2.828 2.828L13.75 21.535l9.9-9.9 9.9 9.9L46.275 8.807zm0 21l-2.828-2.828-9.9 9.9-9.899-9.9-9.9 9.9-9.9-9.9-2.828 2.828L13.75 42.535l9.9-9.9 9.9 9.9 12.727-12.728z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-texture`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
