import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconTopAlign",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M4 4a1 1 0 011-1h38a1 1 0 011 1v2a1 1 0 01-1 1H5a1 1 0 01-1-1V4zm20.647 5.253a1 1 0 00-1.338.069l-1.414 1.414L10.58 22.05a1 1 0 000 1.414l1.414 1.414a1 1 0 001.414 0l8.605-8.605v27.725a1 1 0 001 1h2a1 1 0 001-1V16.27l8.609 8.608a1 1 0 001.414 0l1.414-1.414a1 1 0 000-1.414L26.137 10.736l-1.414-1.414a1.008 1.008 0 00-.076-.069z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-top-align`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
