import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconVoice",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M7.03 22a1 1 0 01.999.95l.01.178C8.618 31.438 15.543 38 24 38c8.364 0 15.23-6.418 15.94-14.598l.024-.324.008-.13A1 1 0 0140.97 22h2.004a1 1 0 011 1l-.003.086c-.528 9.876-8.222 17.85-17.976 18.816l.004.048L26 45a1 1 0 01-1 1h-2a1 1 0 01-1-1v-3l.005-.098c-9.613-.952-17.225-8.71-17.949-18.389l-.029-.466a1 1 0 01.836-1.034l.14-.013H7.03zM24 2c6.627 0 12 4.776 12 10.667v10.666C36 29.224 30.627 34 24 34s-12-4.776-12-10.667V12.667C12 6.776 17.373 2 24 2zm0 4c-4.418 0-8 3.07-8 6.857v10.286C16 26.93 19.582 30 24 30s8-3.07 8-6.857V12.857C32 9.07 28.418 6 24 6z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-voice`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
