import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconWalking",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M17.98 3.006l-.155-.112a3 3 0 00-3.962.524L3.124 15.903l-.122.152a3 3 0 00.4 4.043L31.332 45H43l.176-.005A3 3 0 0046 42v-7.037l-.005-.2a4 4 0 00-3.995-3.8h-4.076L34.12 11.427l-.04-.174A3 3 0 0031.176 9h-5.49L17.98 3.006zM6.796 17.766l9.478-11.018L24.314 13h6.038l.779 4H25a1 1 0 00-1 1v2a1 1 0 001 1h6.909l.779 4H29a1 1 0 00-1 1v2a1 1 0 001 1h4.466l1.161 5.963H42V41h-9.143L6.797 17.766z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-walking`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
