"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconCoordinate",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M19 44a1 1 0 01-1-1v-2a1 1 0 011-1h3v-6.132C14.662 32.89 9 26.606 9 19c0-8.284 6.716-15 15-15 8.284 0 15 6.716 15 15 0 7.606-5.661 13.89-13 14.868V40h3a1 1 0 011 1v2a1 1 0 01-1 1H19zm5-36c-6.075 0-11 4.925-11 11s4.925 11 11 11 11-4.925 11-11S30.075 8 24 8zm7.996 12.72C31.848 15.327 27.43 11 22 11v4l.225.004A6 6 0 0128 21h4l-.004-.28z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-coordinate`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
