"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconFilter",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M4 6a2 2 0 012-2h36a2 2 0 012 2v8.321c.03.19.029.383 0 .57V15a.998.998 0 01-.397.798 1.893 1.893 0 01-.508.441L32 22.862V43a1 1 0 01-1 1h-2a1 1 0 01-1-1V22a2 2 0 01.086-.583c.12-.47.419-.893.867-1.161L40 13.662V8H8v5.732l10.69 6.39A2 2 0 0120 22v14a1 1 0 01-1 1h-2a1 1 0 01-1-1V22.93L4.923 16.308a1.888 1.888 0 01-.608-.58A.997.997 0 014 15V6z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-filter`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
