"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconFlipHorizontal",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M23 4h2c.51 0 .935.388.993.884L26 5v38c0 .51-.388.935-.884.993L25 44h-2c-.51 0-.935-.388-.993-.884L22 43V5c0-.51.388-.935.884-.993L23 4zm-6 3a1 1 0 011 1v33a1 1 0 01-1 1H7a2 2 0 01-2-2V9a2 2 0 012-2h10zm24 1a2 2 0 012 2v29a2 2 0 01-2 2H31a1 1 0 01-1-1v-2a1 1 0 01.999-1H39V12h-8a1 1 0 01-1-1V9a1 1 0 011-1h10z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-flip-horizontal`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
