"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconHighlight",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M31 6.474a2 2 0 00-2.42-1.956l-10 2.143A2 2 0 0017 8.617V16h-3c-1.105 0-2 .758-2 1.692V25H9c-1.105 0-2 .733-2 1.636V44a1 1 0 001 1h2a1 1 0 001-1V29h5v-9h16v9h5v15a1 1 0 001 1h2a1 1 0 001-1V26.636c0-.903-.895-1.636-2-1.636h-3v-7.308c0-.934-.895-1.692-2-1.692h-3V6.474zm-10 3.76l6-1.286V16h-6v-5.766z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-highlight`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
