"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconInfo",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M2 24C2 11.848 11.848 2 24 2s22 9.848 22 22-9.848 22-22 22S2 36.152 2 24zm23.012-4.975a1 1 0 011 1l.003 10.985h2.008a1 1 0 011 1v1.975a1 1 0 01-1 1h-8.018a1 1 0 01-1-1V32.01a1 1 0 011-1h1.99L21.991 23h-.377a1 1 0 01-1-1v-1.975a1 1 0 011-1h3.398zM24.57 13a1 1 0 011 1v2.002a1 1 0 01-1 1h-2.125a1 1 0 01-1-1V14a1 1 0 011-1h2.125zM24 42c-9.942 0-18-8.058-18-18S14.058 6 24 6s18 8.058 18 18-8.058 18-18 18z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-info`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
