"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconMobile",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M38 2c1.105 0 2 .9 2 2v40c0 1.1-.895 2-2 2H10c-1.105 0-2-.9-2-2V4c0-1.1.895-2 2-2h28zm-2 4H12v36h24V6zM24 33a3 3 0 110 6 3 3 0 010-6zm3-22l.117.007A1 1 0 0128 12v2l-.007.117A1 1 0 0127 15h-6l-.117-.007A1 1 0 0120 14v-2l.007-.117A1 1 0 0121 11h6z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-mobile`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
