"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconPieChart",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M24 2c12.15 0 22 9.85 22 22H25a1 1 0 01-1-1V2zm-4 2.4v4.104C13.1 10.28 8 16.544 8 24c0 8.837 7.163 16 16 16 7.456 0 13.72-5.1 15.496-12H43.6c-1.853 9.129-9.924 16-19.6 16-11.046 0-20-8.954-20-20 0-9.676 6.871-17.747 16-19.6zM28 20V6.446A18.026 18.026 0 0141.554 20H28z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-pie-chart`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
