"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconPositionWarning",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M23 2c8.284 0 15 6.705 15 14.976C38 22.49 33 29.498 23 38 13 29.498 8 22.49 8 16.976 8 8.706 14.716 2 23 2zM10.766 36a1 1 0 01.978 1.207L10.728 42h26.543l-1.015-4.793a1 1 0 01-.016-.103L36.234 37a1 1 0 01.883-.993l.117-.007h1.956a1 1 0 01.947.68l.031.113L41.695 44h-.07l.153.815A1 1 0 0140.795 46H7.2a1 1 0 01-.983-1.18l.15-.82h-.062l1.527-7.207A1 1 0 018.81 36h1.956zM12 16.976C12 10.916 16.923 6 23 6c6.076 0 11 4.916 11 10.976 0 3.59-3.585 8.97-11 15.703-7.415-6.732-11-12.113-11-15.703zM25 21v4h-4v-4h4zm0-10a1 1 0 00-1-1h-2a1 1 0 00-1 1v7a1 1 0 001 1h2a1 1 0 001-1v-7z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-position-warning`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
