"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconSandstorm",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M19 27l.24.004a7 7 0 010 13.992L19 41v-4l.176-.005a3 3 0 000-5.99L19 31H2v-4h17zm26 9a2 2 0 110 4 2 2 0 010-4zm-7-3a2 2 0 110 4 2 2 0 010-4zm7-4a2 2 0 110 4 2 2 0 010-4zm-14 0a2 2 0 110 4 2 2 0 010-4zm7-3a2 2 0 110 4 2 2 0 010-4zm-7-4a2 2 0 110 4 2 2 0 010-4zm14 0a2 2 0 110 4 2 2 0 010-4zm-7-3a2 2 0 110 4 2 2 0 010-4zM19 8a7 7 0 01.24 13.996L19 22H8v-4h11a3 3 0 00.176-5.995L19 12V8zm12 7a2 2 0 110 4 2 2 0 010-4zm14 0a2 2 0 110 4 2 2 0 010-4zm-7-3a2 2 0 110 4 2 2 0 010-4zm7-4a2 2 0 110 4 2 2 0 010-4z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-sandstorm`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
