"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconScreenshot",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M9.441 5.624l.095.083 14.399 14.4 14.4-14.4a1 1 0 011.414 0l1.414 1.414a1 1 0 010 1.415l-14.4 14.398 5.173 5.174a8 8 0 11-2.828 2.828l-5.173-5.173-5.092 5.091a8 8 0 11-2.861-2.794l5.124-5.126L6.707 8.535a1 1 0 01-.083-1.32l.083-.094 1.414-1.414a1 1 0 011.219-.152l.101.069zM36 31a4 4 0 100 8 4 4 0 000-8zm-24 0a4 4 0 100 8 4 4 0 000-8z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-screenshot`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
