"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconSofa",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M39 4a2 2 0 012 2v9h3a2 2 0 012 2v22a2 2 0 01-2 2h-5v4a1 1 0 01-1 1h-2a1 1 0 01-1-1v-4H13v4a1 1 0 01-1 1h-2a1 1 0 01-1-1v-4H4a2 2 0 01-2-2V17a2 2 0 012-2h3V6a2 2 0 012-2h30zM12 19H6v18h36V19h-6v11H12V19zM37 8H11v7h3a2 2 0 012 2v9h16v-9a2 2 0 012-2h3V8z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-sofa`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
