"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconStarFill",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M23.278 38.979l-10.695 5.144a1.667 1.667 0 01-2.38-1.675L11.417 30.8A1.667 1.667 0 0011 29.513l-7.898-8.787a1.667 1.667 0 01.891-2.744l11.555-2.466a1.667 1.667 0 001.095-.795l5.915-10.227a1.667 1.667 0 012.886 0l5.915 10.227c.236.408.634.697 1.095.795l11.555 2.466a1.667 1.667 0 01.891 2.744l-7.898 8.787c-.315.35-.467.818-.418 1.287l1.214 11.648a1.667 1.667 0 01-2.38 1.675l-10.695-5.144a1.667 1.667 0 00-1.444 0z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-star-fill`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
