"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconUndo",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M16.121 24.778a1 1 0 010 1.414l-1.414 1.415a1 1 0 01-1.414 0L4.1 18.414a2 2 0 010-2.828l9.192-9.193a1 1 0 011.414 0l1.414 1.415a1 1 0 010 1.414l-5.778 5.777L29.586 15c7.732 0 14 6.268 14 14s-6.268 14-14 14h-8.729a1 1 0 01-1-1v-1.96a1 1 0 011-1h8.26c3.865 0 10-4.001 10-10.04 0-6.039-6.135-10-10-10H10.343l5.777 5.778z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-undo`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
