import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "Icon",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M15.902 25.355a1 1 0 000-1.403L6.105 14l9.797-9.952a1 1 0 000-1.403l-1.4-1.421a1 1 0 00-1.424 0L1.19 13.299a1 1 0 000 1.403l11.887 12.074a1 1 0 001.425 0l1.399-1.421zm9.907-1.403L16.012 14l9.797-9.952a1 1 0 000-1.403L24.41 1.224a1 1 0 00-1.425 0L11.098 13.299a1 1 0 000 1.403l11.887 12.074a1 1 0 001.425 0l1.4-1.421a1 1 0 000-1.403z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 27 28",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
