import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconBicycle",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M20.927 4.624A1 1 0 0020 4h-6a1 1 0 00-1 1v2a1 1 0 001 1h4.262l5.871 10.169-10.067 5.812L11.768 20H12a1 1 0 001-1v-2a1 1 0 00-1-1H5a1 1 0 00-1 1v2a1 1 0 001 1h2.149l8.869 15.361a1 1 0 001.366.366l1.732-1a1 1 0 00.366-1.366l-3.415-5.915 10.066-5.812 6.885 11.923a1 1 0 001.366.366l1.732-1a1 1 0 00.366-1.366l-15.5-26.846a1.318 1.318 0 00-.055-.087zM35 22c6.075 0 11 4.925 11 11s-4.925 11-11 11-11-4.925-11-11c0-1.967.517-3.814 1.421-5.412l2.63 4.556a7 7 0 109.413-5.698l-2.566-4.445L35 22zM7.366 26.764l2.022 3.502A5.002 5.002 0 0011 40a4.981 4.981 0 003.293-1.238l2.022 3.502a9 9 0 11-8.948-15.5z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-bicycle`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
