import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconBlock",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M42.87 9.96L24.855 1.413a2 2 0 00-1.715 0L5.155 9.96a2 2 0 00-1.142 1.806v22.463a2 2 0 001.14 1.806l17.985 8.564a2 2 0 001.72 0l18.014-8.564a2 2 0 001.14-1.806V11.765A2 2 0 0042.87 9.96zM8.013 32.964L8.012 15.56l13.85 6.953.037.018.26 17.171-14.146-6.736zm32-17.409L26.036 22.52l-.135.061.256 16.971 13.856-6.587V15.556zm-30.01-3.474l13.996-6.647 14.017 6.648-13.763 6.855a.667.667 0 01-.597 0l-13.653-6.856z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-block`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
