import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconCash",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M43 6a2 2 0 012 2v32a2 2 0 01-2 2H5a2 2 0 01-2-2V8a2 2 0 012-2h38zM7 10v28h34V10H7zm12.774 3.21l4.243 4.242 4.243-4.242a1 1 0 011.414 0l1.414 1.414a1 1 0 010 1.414L26.126 21H31a1 1 0 011 1v2a1 1 0 01-1 1h-5v2h5a1 1 0 011 1v2a1 1 0 01-1 1h-5v3a1 1 0 01-1 1h-2a1 1 0 01-1-1v-3h-5a1 1 0 01-1-1v-2a1 1 0 011-1h5v-2h-5a1 1 0 01-1-1v-2a1 1 0 011-1h4.907l-4.961-4.962a1 1 0 010-1.414l1.414-1.414a1 1 0 011.414 0z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-cash`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
