import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconDataMining",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M43 38a1 1 0 011 1v2a1 1 0 01-1 1H24a1 1 0 01-1-1v-2a1 1 0 011-1h19zM9 25a6.003 6.003 0 015.659 4H43a1 1 0 011 1v2a1 1 0 01-1 1H14.658A6.002 6.002 0 013 31a6 6 0 016-6zm0 4a2 2 0 100 4 2 2 0 000-4zm34-12a1 1 0 011 1v2a1 1 0 01-1 1H24a1 1 0 01-1-1v-2a1 1 0 011-1h19zM9 4a6.002 6.002 0 015.659 4H43a1 1 0 011 1v2a1 1 0 01-1 1H14.658A6.002 6.002 0 013 10a6 6 0 016-6zm0 4a2 2 0 100 4 2 2 0 000-4z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-data-mining`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
