import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconDragArrow",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M24.78 1.976a1 1 0 00-1.56 0l-5.92 7.4A1 1 0 0018.08 11H22v11H11v-3.92a1 1 0 00-1.625-.78l-7.399 5.92a1 1 0 000 1.56l7.4 5.92A1 1 0 0011 29.92V26h11v11h-3.92a1 1 0 00-.78 1.625l5.92 7.399a1 1 0 001.56 0l5.92-7.4A1 1 0 0029.92 37H26V26h11v3.92a1 1 0 001.625.78l7.399-5.92a1 1 0 000-1.56l-7.4-5.92a1 1 0 00-1.624.78V22H26V11h3.92a1 1 0 00.78-1.625l-5.92-7.399z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-drag-arrow`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
