import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconEmail",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M43 6a2 2 0 012 2v32a2 2 0 01-2 2H5a2 2 0 01-2-2V8a2 2 0 012-2h38zm-2 4H7v28h34V10zm-4.76 5.042l.076-.006a.5.5 0 01.492.41l.008.09v2.956a1 1 0 01-.327.74l-.094.075-11.765 8.345a.995.995 0 01-.59.157.994.994 0 01-.59-.09l-.123-.072-11.736-8.256a1 1 0 01-.424-.818V15.54a.5.5 0 01.789-.408l11.982 8.49 12.09-8.495a.501.501 0 01.212-.085z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-email`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
