import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconExternal",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M11 26a8 8 0 017.142 11.608C19.902 38.498 21.892 39 24 39c2.107 0 4.098-.502 5.858-1.392A8 8 0 0137 26a12.99 12.99 0 00-6.07-11 8.003 8.003 0 01-13.86 0A12.99 12.99 0 0011 26zm-3.968 1.052A17.259 17.259 0 017 26c0-6.497 3.644-12.142 9-15.004a8 8 0 0116 0c5.356 2.862 9 8.507 9 15.004 0 .353-.01.704-.032 1.052a8 8 0 11-8.38 13.623A16.92 16.92 0 0124 43a16.92 16.92 0 01-8.588-2.326 8 8 0 11-8.38-13.623zM24 15a4 4 0 100-8 4 4 0 000 8zm13 23a4 4 0 100-8 4 4 0 000 8zm-26 0a4 4 0 100-8 4 4 0 000 8z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-external`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
