import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconInfoFill",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M24 2C11.848 2 2 11.848 2 24s9.848 22 22 22 22-9.848 22-22S36.152 2 24 2zm2.012 18.025a1 1 0 00-1-1h-3.397a1 1 0 00-1 1V22a1 1 0 001 1h.377l.002 8.01h-1.989a1 1 0 00-1 1v1.975a1 1 0 001 1h8.018a1 1 0 001-1V32.01a1 1 0 00-1-1h-2.008l-.003-10.985zM25.57 14a1 1 0 00-1-1h-2.125a1 1 0 00-1 1v2.002a1 1 0 001 1h2.125a1 1 0 001-1V14z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-info-fill`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
