import { openBlock, createElementBlock, mergeProps, createStaticVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconInnerBorders",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createStaticVNode('<path fill-rule="evenodd" clip-rule="evenodd" d="M26 5a1 1 0 00-1-1h-2a1 1 0 00-1 1v17H5a1 1 0 00-1 1v2a1 1 0 001 1h17v17a1 1 0 001 1h2a1 1 0 001-1V26h17a1 1 0 001-1v-2a1 1 0 00-1-1H26V5z"></path><rect opacity=".4" x="4" y="4" width="4" height="4" rx="1"></rect><rect opacity=".4" x="10" y="4" width="4" height="4" rx="1"></rect><rect opacity=".4" x="4" y="10" width="4" height="4" rx="1"></rect><rect opacity=".4" x="16" y="4" width="4" height="4" rx="1"></rect><rect opacity=".4" x="10" y="40" width="4" height="4" rx="1"></rect><rect opacity=".4" x="16" y="40" width="4" height="4" rx="1"></rect><rect opacity=".4" x="4" y="16" width="4" height="4" rx="1"></rect><rect opacity=".4" x="4" y="28" width="4" height="4" rx="1"></rect><rect opacity=".4" x="4" y="34" width="4" height="4" rx="1"></rect><rect opacity=".4" x="40" y="10" width="4" height="4" rx="1"></rect><rect opacity=".4" x="40" y="16" width="4" height="4" rx="1"></rect><rect opacity=".4" x="40" y="28" width="4" height="4" rx="1"></rect><rect opacity=".4" x="40" y="34" width="4" height="4" rx="1"></rect><rect opacity=".4" x="4" y="40" width="4" height="4" rx="1"></rect><rect opacity=".4" x="28" y="4" width="4" height="4" rx="1"></rect><rect opacity=".4" x="34" y="4" width="4" height="4" rx="1"></rect><rect opacity=".4" x="40" y="4" width="4" height="4" rx="1"></rect><rect opacity=".4" x="28" y="40" width="4" height="4" rx="1"></rect><rect opacity=".4" x="34" y="40" width="4" height="4" rx="1"></rect><rect opacity=".4" x="40" y="40" width="4" height="4" rx="1"></rect>', 21);
const _hoisted_23 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-inner-borders`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_23, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
