import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconMergeCells",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M8 30v10h4v-1a1 1 0 011-1h2a1 1 0 011 1v4a1 1 0 01-1 1H6a2 2 0 01-2-2V30h4zm36 0v12a2 2 0 01-1.85 1.995L42 44h-9a1 1 0 01-.993-.883L32 43v-4a1 1 0 01.883-.993L33 38h2a1 1 0 01.993.883L36 39v1h4V30h4zm0-8v4h-9v-4h9zm-31 0v4H4v-4h9zM42 4a2 2 0 011.995 1.85L44 6v12h-4V8h-4v1a1 1 0 01-.883.993L35 10h-2a1 1 0 01-.993-.883L32 9V5a1 1 0 01.883-.993L33 4h9zM15 4a1 1 0 011 1v4a1 1 0 01-1 1h-2a1 1 0 01-1-1V8H8v10H4V6a2 2 0 012-2h9zm4.933 20.8l-5.333 4A1 1 0 0113 28v-8a1 1 0 011.6-.8l5.333 4a1 1 0 010 1.6zm8.134 0l5.333 4A1 1 0 0035 28v-8a1 1 0 00-1.6-.8l-5.333 4a1 1 0 000 1.6z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-merge-cells`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
