import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconReadingListFill",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = ["fill"];
const _hoisted_3 = ["fill"];
const _hoisted_4 = ["fill"];
const _hoisted_5 = ["fill"];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: "none",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-reading-list-fill`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), [
    createElementVNode("path", {
      fill: $props.useCurrentColor ? "currentColor" : "#fff",
      d: "M0 0h48v48H0z"
    }, null, 8, _hoisted_1),
    createElementVNode("path", {
      "fill-rule": "evenodd",
      "clip-rule": "evenodd",
      d: "M38.875 4C40.049 4 41 4.818 41 5.818v36.364c0 1-.95 1.818-2.125 1.818H9.125C7.951 44 7 43.182 7 42.182V5.818C7 4.818 7.95 4 9.125 4h29.75z",
      fill: $props.useCurrentColor ? "currentColor" : "#2B2F36"
    }, null, 8, _hoisted_2),
    createElementVNode("path", {
      d: "M15 23a1 1 0 011-1h11a1 1 0 011 1v1.5a1 1 0 01-1 1H16a1 1 0 01-1-1V23z",
      fill: $props.useCurrentColor ? "currentColor" : "#fff"
    }, null, 8, _hoisted_3),
    createElementVNode("rect", {
      x: "15",
      y: "16.5",
      width: "18",
      height: "3.5",
      rx: "1",
      fill: $props.useCurrentColor ? "currentColor" : "#fff"
    }, null, 8, _hoisted_4),
    createElementVNode("rect", {
      x: "15",
      y: "27.5",
      width: "18",
      height: "3.5",
      rx: "1",
      fill: $props.useCurrentColor ? "currentColor" : "#fff"
    }, null, 8, _hoisted_5)
  ], 16);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
