import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconRedo",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M31.879 24.778a1 1 0 000 1.414l1.414 1.415a1 1 0 001.414 0l9.193-9.193a2 2 0 000-2.828l-9.193-9.193a1 1 0 00-1.414 0l-1.414 1.415a1 1 0 000 1.414l5.778 5.777L18.414 15c-7.732 0-14 6.268-14 14s6.268 14 14 14h8.729a1 1 0 001-1v-1.96a1 1 0 00-1-1h-8.26c-3.865 0-10-4.001-10-10.04 0-6.039 6.135-10 10-10h18.773l-5.777 5.778z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-redo`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
