import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconStampFill",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", { d: "M41.102 27.414h-6.399c-1.419 0-2.7-.848-3.254-2.154l-2.19-5.162a1.895 1.895 0 01.492-2.153c2.163-1.942 3.336-4.962 2.647-8.224-.681-3.23-3.294-5.84-6.525-6.514-5.541-1.157-10.419 3.04-10.419 8.377 0 2.569 1.14 4.86 2.934 6.427.624.545.845 1.416.52 2.18l-2.15 5.069a3.535 3.535 0 01-3.254 2.154H6.897c-.96 0-1.738.778-1.738 1.738v6.81c0 .96.778 1.738 1.738 1.738h34.205c.96 0 1.739-.778 1.739-1.738v-6.809c0-.96-.778-1.739-1.739-1.739zm-.813 13.73H7.739a.866.866 0 00-.866.865v1.696c0 .479.388.867.867.867h32.549a.866.866 0 00.866-.867V42.01a.866.866 0 00-.866-.866z" }, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-stamp-fill`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
