import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconSubway",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M9.268 45.62a1 1 0 01-1.404-.169L6.628 43.88a1 1 0 01.169-1.404L15.036 36H8a2 2 0 01-2-2V4a2 2 0 012-2h32a2 2 0 012 2v30a2 2 0 01-2 2h-6.736l8.24 6.474a1 1 0 01.168 1.405l-1.235 1.572a1 1 0 01-1.405.169L26.79 36h-5.28L9.268 45.62zM38 24H10v8h28v-8zm-20 6v-4h-4v4h4zm16-4v4h-4v-4h4zM10 6h28v14H10V6z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-subway`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
