import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconSwing",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M40.97 21L25.415 5.444a2 2 0 00-2.828 0L7.029 21l2.829 2.828L24 9.686l14.142 14.142L40.971 21zm4.257 8.151a.8.8 0 00-.878-.878l-7.602.786a.8.8 0 00-.483 1.362l1.874 1.873C34.54 35.184 29.565 37 24 37c-5.565 0-10.541-1.815-14.138-4.706l1.874-1.873.078-.09a.8.8 0 00-.561-1.272l-7.602-.786-.1-.004-.098.008a.8.8 0 00-.68.874l.786 7.602.017.099a.8.8 0 001.345.384l2.1-2.1C11.367 38.759 17.37 41 24 41c6.632 0 12.635-2.241 16.979-5.865l2.1 2.101a.8.8 0 001.362-.483l.786-7.602z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-swing`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
