import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconSwitchRoutes",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M32 4c5.523 0 10 4.477 10 10v22h2a1 1 0 01.492.13l.108.07a1 1 0 01.2 1.4l-4 5.333a1 1 0 01-1.6 0l-4-5.333A1 1 0 0136 36h2V14a6 6 0 00-11.996-.225L26 14v20c0 5.523-4.477 10-10 10S6 39.523 6 34V12H4a1 1 0 01-.8-1.6l4-5.333a1 1 0 011.6 0l4 5.333A1 1 0 0112 12h-2v22a6 6 0 0012 0V14c0-5.523 4.477-10 10-10z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-switch-routes`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
