"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconConsole",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M43 4a2 2 0 012 2v28a2 2 0 01-2 2H26v4h10a1 1 0 011 1v2a1 1 0 01-1 1H12a1 1 0 01-1-1v-2a1 1 0 011-1h10v-4H5a2 2 0 01-2-2V6a2 2 0 012-2h38zm-2 4H7v24h34V8zM19 21a1 1 0 011 1v1h15a1 1 0 011 1v2a1 1 0 01-1 1H20v1a1 1 0 01-1 1h-2a1 1 0 01-1-1v-1h-3a1 1 0 01-1-1v-2a1 1 0 011-1h3v-1a1 1 0 011-1h2zm12-10a1 1 0 011 1v1h3a1 1 0 011 1v2a1 1 0 01-1 1h-3v1a1 1 0 01-1 1h-2a1 1 0 01-1-1v-1H13a1 1 0 01-1-1v-2a1 1 0 011-1h15v-1a1 1 0 011-1h2z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-console`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
