"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconDoubleDown",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M24.201 27.402l12.075-11.887a1 1 0 00.094-1.32l-.094-.105-1.421-1.4a1 1 0 00-1.403 0L23.5 22.489l-9.952-9.797a1 1 0 00-1.403 0l-1.421 1.399a1 1 0 00-.094 1.319l.094.106 12.074 11.887a1 1 0 001.404 0zm0 9.907l12.075-11.887a1 1 0 00.094-1.319l-.094-.106-1.421-1.399a1 1 0 00-1.403 0L23.5 32.395l-9.952-9.797a1 1 0 00-1.403 0l-1.421 1.4a1 1 0 00-.094 1.319l.094.105L22.798 37.31a1 1 0 001.404 0z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-double-down`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
