"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconFlipVertical",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M4 25v-2c0-.51.388-.935.884-.993L5 22h38c.51 0 .935.388.993.884L44 23v2c0 .51-.388.935-.884.993L43 26H5c-.51 0-.935-.388-.993-.884L4 25zm3 6a1 1 0 011-1h33a1 1 0 011 1v10a2 2 0 01-2 2H9a2 2 0 01-2-2V31zM8 7a2 2 0 012-2h29a2 2 0 012 2v10a1 1 0 01-1 1h-2a1 1 0 01-1-.999V9H12v8a1 1 0 01-1 1H9a1 1 0 01-1-1V7z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-flip-vertical`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
