"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconFlowControl",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M38 4a6 6 0 012 11.658V25h2a2 2 0 012 2v15a2 2 0 01-2 2H6a2 2 0 01-2-2V27a2 2 0 012-2h2v-9.341A6.002 6.002 0 0110 4a6 6 0 012 11.658V25h10v-9.341a6 6 0 114 0V25h10v-9.341A6 6 0 0138 4zM8 29v11h32V29H8zm28 4a1 1 0 00-1-1H25a1 1 0 00-1 1v2a1 1 0 001 1h10a1 1 0 001-1v-2zm-16-1v4h-4v-4h4zM8 10a2 2 0 114 0 2 2 0 01-4 0zm30-2a2 2 0 100 4 2 2 0 000-4zm-16 2a2 2 0 114 0 2 2 0 01-4 0z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-flow-control`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
