"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconInsertRow",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M45 5a1 1 0 00-1-1H4a1 1 0 00-1 1v2a1 1 0 001 1h27.999v23H5a2 2 0 00-2 2v9a2 2 0 002 2h39a1 1 0 001-1V5zM7 35h33.999L41 40H7v-5zM41 8h-5l-.002 23h5.001L41 8zm-22.4 6.2a1 1 0 00-1.6.8v2H4a1 1 0 00-1 1v2a1 1 0 001 1h12.999L17 23a1 1 0 001.6.8l5.333-4a1 1 0 000-1.6l-5.333-4z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-insert-row`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
