"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconMouse",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M36 11a9 9 0 00-17.802-1.885C11.319 9.999 6 15.878 6 23v9c0 7.732 6.268 14 14 14s14-6.268 14-14v-9c0-6.936-5.044-12.694-11.664-13.806A5.002 5.002 0 0132 11a7 7 0 007 7h2a1 1 0 001-1v-2a1 1 0 00-1-1h-2l-.176-.005A3 3 0 0136 11zM20 42c-5.523 0-10-4.477-10-10h20c0 5.523-4.477 10-10 10zm0-29c-5.523 0-10 4.477-10 10v4.999h20V23c0-5.523-4.477-10-10-10zm2 5a1 1 0 00-1-1h-2a1 1 0 00-1 1v5a1 1 0 001 1h2a1 1 0 001-1v-5z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-mouse`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
