"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconOutbox",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M13 4v4H8v18h6a2 2 0 012 2v4h16v-4a2 2 0 012-2h6V8h-5V4h7a2 2 0 012 2v36a2 2 0 01-2 2H6a2 2 0 01-2-2V6a2 2 0 012-2h7zm-1 26H8v10h32V30h-4v4a2 2 0 01-2 2H14a2 2 0 01-2-2v-4zM25.898 4.414l7.778 7.778a1 1 0 010 1.415l-1.414 1.414a1 1 0 01-1.414 0l-4.417-4.417-.079 16.398a1 1 0 01-.996.995l-1.894.007a1 1 0 01-.996-.88L22.459 27l.079-16.397-4.418 4.419a1 1 0 01-1.415 0l-1.414-1.414a1 1 0 010-1.415l7.778-7.778a2 2 0 012.829 0z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-outbox`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
