"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconScissor",
  props: {
    prefix: {
      type: String,
      default: "arco"
    },
    useCurrentColor: {
      type: Boolean,
      default: true
    }
  }
};
const _hoisted_1 = ["fill"];
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("path", {
  "fill-rule": "evenodd",
  "clip-rule": "evenodd",
  d: "M42.583 9.648l-.083.095-14.4 14.4 14.4 14.399a1 1 0 010 1.414l-1.414 1.414a1 1 0 01-1.414 0l-14.4-14.4-5.173 5.173a8 8 0 11-2.828-2.828l5.173-5.173-5.09-5.092a8 8 0 112.794-2.861l5.125 5.124L39.672 6.914a1 1 0 011.32-.083l.094.083L42.5 8.328a1 1 0 01.083 1.32zm-25.376 26.56a4 4 0 10-8 0 4 4 0 008 0zm0-24a4 4 0 10-8 0 4 4 0 008 0z"
}, null, -1);
const _hoisted_3 = [
  _hoisted_2
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 48 48",
    fill: $props.useCurrentColor ? "currentColor" : "#000",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-scissor`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_3, 16, _hoisted_1);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
